For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
        • GETGet all communities
        • GETGet a community by ID
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentCafeCommunities

Get all communities

GET
/crm/v1/communities/
GET
/crm/v1/communities/
$curl https://api.propexo.com/crm/v1/communities/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "290378",
18 "custom_data": {},
19 "address_1": "123 Jefferson Rd",
20 "address_2": "string",
21 "city": "Boston",
22 "state": "MA",
23 "zip": "92131",
24 "url": "manager.rentcafewebsite.com",
25 "email": "property@manager.com",
26 "phone": "(555) 555-5555",
27 "coordinates": {
28 "lat": "123.34123",
29 "long": "123.34123"
30 },
31 "integration_id": "clwh5u07w000508me66sfh3um",
32 "integration_vendor": "RENTCAFE"
33 }
34 ]
35}
Get all communities
Was this page helpful?
Previous

Get a community by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
Allowed values:

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error